
ThreatFactor NSIA - Feature #314

Replace XML-RPC API with a REST API

01/18/2011 07:29 AM - Luke Murphey

Status: Closed Start date: 01/26/2011

Priority: Normal Due date: 01/30/2011

Assignee: Luke Murphey % Done: 100%

Category: Update Notification Estimated time: 0.00 hour

Target version: 1.0.3   

Description

Related issues:

Related to ThreatFactor NSIA - Bug #87: Prevent XMLRPC Warnings From Appearin... Closed

Related to ThreatFactor NSIA - Bug #325: Warnings While Running Download Defi... Closed 02/10/2011 02/11/2011

History

#1 - 01/26/2011 07:21 AM - Luke Murphey

- Due date set to 01/30/2011

- Assignee set to Luke Murphey

- Target version set to 1.0.3

- Start date set to 01/26/2011

#2 - 01/26/2011 08:01 AM - Luke Murphey

- % Done changed from 0 to 20

#3 - 01/28/2011 07:17 AM - Luke Murphey

- % Done changed from 20 to 40

Need Java implementation of:

Endpoint index

License information

Definitions Meta data

Definition download

Application version

#4 - 01/29/2011 05:31 AM - Luke Murphey

- % Done changed from 40 to 60

Just need to implement that last two functions:

Application version

Definition set download

#5 - 01/29/2011 08:55 AM - Luke Murphey

- % Done changed from 60 to 80
Only the application version client is left.

#6 - 01/30/2011 06:39 AM - Luke Murphey

- % Done changed from 80 to 90

Application API done. Just need to integrate the REST versions of the API into the underlying classes.

#7 - 02/12/2011 08:09 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 90 to 100

#8 - 02/12/2011 09:40 AM - Luke Murphey

- Category set to Update Notification
